Bug 714726 - change --root option to --mock-config to fedpkg mockbuild
Summary: change --root option to --mock-config to fedpkg mockbuild
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpkg
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: cqi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-20 14:35 UTC by john5342
Modified: 2017-01-07 00:21 UTC (History)
10 users (show)

Fixed In Version: rpkg-1.47-5.fc25 rpkg-1.47-5.fc24 rpkg-1.47-7.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-07 00:21:05 UTC


Attachments (Terms of Use)

Description john5342 2011-06-20 14:35:17 UTC
Description of problem:
Both rpmbuild and (as a result) mock is capable of building packages for a different architecture to the host machine (e.g. ix86 on an x86_64 machine). It would be nice if this capability could be exposed through fedpkg mockbuild in a similar way to fedpkg local --arch=...

An alternative and potentially more flexible option would be to instead (or as well as) have a --mock-config option which will allow for building other architecture packages as well as building with other package sets/repos. These configs also make it easy to emulate builtroot overrides, build targets, etc etc locally.

Version-Release number of selected component (if applicable):
fedpkg-0.5.9.2-1.fc15

Comment 1 Fedora End Of Life 2012-08-07 19:52:50 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Sergio Monteiro Basto 2012-10-14 16:18:54 UTC
Workaround to build for f18 :

fedpkg switch-branch f18
git merge master
fedpkg mockbuild

Comment 3 Jesse Keating 2012-10-15 18:16:33 UTC
fedpkg mockbuild has a --root option, which allows you to manually define the root config you wish to use (like mock -r).  This way you could build from any branch for any mock config.

Comment 4 Sergio Monteiro Basto 2012-10-16 19:31:13 UTC
(In reply to comment #3)
> fedpkg mockbuild has a --root option, which allows you to manually define
> the root config you wish to use (like mock -r).  This way you could build
> from any branch for any mock config.

Maybe we should improves help message of fedpkg mockbuild -h

--root ROOT  Override mock root

I though, I may choose where was root mock directory (/var/lib/mock/fedora-18 ...) .

My propose:    

--root ROOT Override mock configuration (like mock -r)

Comment 6 Sergio Monteiro Basto 2013-04-26 02:37:20 UTC
(In reply to comment #3)
> fedpkg mockbuild has a --root option, which allows you to manually define
> the root config you wish to use (like mock -r).  This way you could build
> from any branch for any mock config.

hi, 
I just think --root is not the best name for this option, should be --mock-config instead .
we have the same option name in fedora-review and is much more intuitive.
 
For the problem of back compatibility, we could keep the --root option as same thing of --mock-config .

Thanks,

Comment 7 cqi 2016-10-11 15:03:50 UTC
There would be two fixes for this bug report.

1. rename --root to --mock-config

2. add a new option --arch to mockbuild, just like the one for local command

Comment 8 Sergio Monteiro Basto 2016-10-11 15:31:17 UTC
For point 1 yes , BTW , this could be modified in rpkg level , or is fedpkg specific ? 

Thanks .

Comment 9 cqi 2016-10-12 02:32:42 UTC
(In reply to Sergio Monteiro Basto from comment #8)
> For point 1 yes , BTW , this could be modified in rpkg level , or is fedpkg
> specific ? 
> 

Should be rpkg.

Comment 10 Fedora Update System 2016-12-07 13:13:38 UTC
fedpkg-1.26-1.fc25 rpkg-1.47-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ea5bded2cf

Comment 11 Fedora Update System 2016-12-07 13:15:41 UTC
fedpkg-1.26-1.fc24 rpkg-1.47-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a383ccbf57

Comment 12 Fedora Update System 2016-12-07 13:18:41 UTC
fedpkg-1.26-1.el7 rpkg-1.47-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-14415f0f51

Comment 13 Fedora Update System 2016-12-08 04:52:27 UTC
fedpkg-1.26-1.fc24, rpkg-1.47-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a383ccbf57

Comment 14 Fedora Update System 2016-12-08 04:56:05 UTC
fedpkg-1.26-1.fc25, rpkg-1.47-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ea5bded2cf

Comment 15 Fedora Update System 2016-12-08 05:48:25 UTC
fedpkg-1.26-1.el7, rpkg-1.47-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-14415f0f51

Comment 16 Fedora Update System 2016-12-09 11:34:27 UTC
fedpkg-1.26-2.el7 rpkg-1.47-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-14415f0f51

Comment 17 Fedora Update System 2016-12-09 11:37:54 UTC
fedpkg-1.26-2.fc24 rpkg-1.47-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a383ccbf57

Comment 18 Fedora Update System 2016-12-09 11:39:50 UTC
fedpkg-1.26-2.fc25 rpkg-1.47-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ea5bded2cf

Comment 19 Fedora Update System 2016-12-10 03:55:59 UTC
fedpkg-1.26-2.fc25, rpkg-1.47-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ea5bded2cf

Comment 20 Fedora Update System 2016-12-10 04:28:10 UTC
fedpkg-1.26-2.fc24, rpkg-1.47-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a383ccbf57

Comment 21 Fedora Update System 2016-12-10 05:53:08 UTC
fedpkg-1.26-2.el7, rpkg-1.47-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-14415f0f51

Comment 22 Sergio Monteiro Basto 2016-12-11 04:50:23 UTC
I tested and it works thanks.

Comment 23 Fedora Update System 2016-12-13 00:56:12 UTC
fedpkg-1.26-3.fc25 rpkg-1.47-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ea5bded2cf

Comment 24 Fedora Update System 2016-12-13 01:05:33 UTC
fedpkg-1.26-3.fc24 rpkg-1.47-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a383ccbf57

Comment 25 Fedora Update System 2016-12-13 01:09:49 UTC
fedpkg-1.26-3.el7 rpkg-1.47-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-14415f0f51

Comment 26 Fedora Update System 2016-12-14 02:23:20 UTC
fedpkg-1.26-3.fc25, rpkg-1.47-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ea5bded2cf

Comment 27 Fedora Update System 2016-12-14 02:23:37 UTC
fedpkg-1.26-3.fc24, rpkg-1.47-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a383ccbf57

Comment 28 Fedora Update System 2016-12-14 03:50:08 UTC
fedpkg-1.26-3.el7, rpkg-1.47-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-14415f0f51

Comment 29 Fedora Update System 2016-12-15 23:31:03 UTC
fedpkg-1.26-3.fc25, rpkg-1.47-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2016-12-16 00:26:05 UTC
fedpkg-1.26-3.fc25, rpkg-1.47-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2016-12-16 03:53:38 UTC
fedpkg-1.26-3.fc24, rpkg-1.47-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2016-12-16 12:01:51 UTC
fedpkg-1.26-4.el7 rpkg-1.47-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-14415f0f51

Comment 33 Fedora Update System 2016-12-17 00:51:14 UTC
fedpkg-1.26-4.el7, rpkg-1.47-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-14415f0f51

Comment 34 Fedora Update System 2016-12-19 15:21:38 UTC
fedpkg-1.26-4.el7 rpkg-1.47-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-14415f0f51

Comment 35 Fedora Update System 2016-12-20 08:51:31 UTC
fedpkg-1.26-4.el7, rpkg-1.47-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-14415f0f51

Comment 36 Fedora Update System 2017-01-07 00:21:05 UTC
fedpkg-1.26-4.el7, rpkg-1.47-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.